Page MenuHomePhabricator

obey wgEditSubmitButtonLabelPublish setting in Wikidata Bridge
Closed, ResolvedPublic3 Story Points

Description

Problem:
The Save button should have a different label depending on the wikis wgEditSubmitButtonLabelPublish setting. We currently don't take this setting into account for the Wikidata Bridge's save button.

Acceptance criteria:

  • Save button is labeled "Publish changes" or "Save changes" based on the client's wgEditSubmitButtonLabelPublish setting
  • The button uses the client's messages

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 17 2019, 9:23 AM
darthmon_wmde set the point value for this task to 3.Jul 30 2019, 11:38 AM
Lydia_Pintscher triaged this task as Low priority.Sep 20 2019, 10:52 AM

FTR Core also differentiates in success messages (e.g. T183901: Reword post edit notification to reflect save->publish change on desktop), should we ever get to that.

Lydia_Pintscher closed this task as Resolved.Sep 30 2019, 8:56 AM
Lydia_Pintscher claimed this task.
Lydia_Pintscher moved this task from Verification to Done on the Wikidata-Bridge-Sprint-6 board.

\o/